Description

For larger installs it would be very handy to allow for includes in the config.json file.
This way you can manage each solution/service/etc. in separate files.

History

#1 - 11/28/2012 06:32 PM - Patrick Talbot
- Status changed from New to In Progress

- Target version changed from v2.0 to v3.0

#2 - 11/28/2012 08:08 PM - Patrick Talbot

Starting with v2.2 you will be able to have a config.json file like this: {

#parse("conf/VelocityWebClient.cnf"),
#include("conf/sw2012.cnf"),
#include("conf/test_vr.cnf"),
#include("conf/testbed.cnf"),
#include("conf/plus.cnf"),
#include("conf/calctest.cnf"),
#include("conf/Accede.cnf"),
#include("conf/ServicesTest.cnf")

}

#parse here also means that you could have includes in the included files, so the parser will look for Velocity directives.
If not, using #include() and the parser will assume static files.

The extension of these includes (here .cnf) is irrelevant.
And you can use sub folders relative to config.json
So #include("conf/xxx") will work just fine if you have a file xxx in reports/www/conf/

Also note that only config.json will be looked out for its modificiation timestamp, so if you change something in the included file, you will need to
touch/modify the config.json file and everything will be parsed reloaded anew.

#3 - 11/29/2012 02:27 PM - Patrick Talbot

- Status changed from In Progress to Closed

Available in v2.2.0
